Bug 55718 - (SCSI NCR53C8XX)upgrade from 6.2 to 7.2 fails to change scsi driver from ncr53c8xx to sym53c8xx
(SCSI NCR53C8XX)upgrade from 6.2 to 7.2 fails to change scsi driver from ncr5...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-05 11:24 EST by adler
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description adler 2001-11-05 11:24:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
After upgrading from redhat 6.2 to 7.2, the kernel was loading driver
ncr53c8xx.o to operate a symbios scsi controller. The system would some
times boot up ok, but most of the time it would crash during disk checking
after the kernel finished booting.

I then changed the /etc/modules.conf file and replaced the ncr53c8xx entry
to sym53c8xx and this fixed the problem. The initial redhat 6.2 chose the
ncr53c8xx and I guess this choice persisted through the upgrade to redhat
7.2. RedHat 7.2 should have chosen the right driver for the symbios scsi
controller and overwrote the /etc/modules.conf with the correct choise. The
odd thing is that the original kernel which gets installed with redhat 7.2,
2.4.7-10 seemed to work ok with the ncr53c8xx driver.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.get a system with a symbios scsi controller.
(i.e. an SGI 4100 linux system for example.)
2.install redhat 6.2
3.upgrade to redhat 7.2
	

Additional info:
Comment 1 John Airey 2002-09-15 18:17:27 EDT
You haven't stated which kernel it is that doesn't work.

I've got two machines with this SCSI card, sample from /proc/ioports - 

fd00-fdff : Symbios Logic Inc. (formerly NCR) 53c810
  fd00-fd7f : ncr53c8xx

These work fine with kernel 2.4.9-31, but a kernel panic occurs with kernel 
2.4.9-34. I've tried going to RedHat 7.3, but this also is probably 
misdetecting the cards. 

I guess the solution is to manually change /etc/modules.conf for both servers, 
but of course it would be better if anaconda detected them properly.

However, since these cards are so old now and off the hardware compatibility 
list I wouldn't hold my breath for a fix.

And I won't even mention that these machines couldn't install X-windows with a 
Mach 64 card, (bug 54134). Oops. I just did.
Comment 2 Bugzilla owner 2004-09-30 11:39:14 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.